Type to search.

Restart Deployment Stateless Resource

Base URL
https://api.elastic-cloud.com/api/v1
No auth

Restarts a Stateless Resource. If a Resource is active: this command re-applies the existing plan but applies a "cluster_reboot", which issues a restart command and waits for it to complete. If a Resource is inactive: this command starts it up with the most recent successful plan.

Path parameters

deployment_id string required

Identifier for the Deployment.

stateless_resource_kind enum required

The kind of stateless resource

Values: kibana apm appsearch enterprise_search integrations_server
ref_id string required

User-specified RefId for the Resource (or '_main' if there is only one).

Query parameters

cancel_pending boolean · default: false

If true, cancels any pending plans before restarting. If false and there are pending plans, returns an error.

Responses

The restart command was issued successfully

application/json